//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <sysutils.hpp>
#include <windows.hpp>
#include <messages.hpp>
#include <sysutils.hpp>
#include <classes.hpp>
#include <graphics.hpp>
#include <controls.hpp>
#include <forms.hpp>
#include <dialogs.hpp>
#include <stdctrls.hpp>
#include <buttons.hpp>
#include <extctrls.hpp>
#include <menus.hpp>
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <ComCtrls.hpp>
#define VERSION "1.2"
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:
        TEdit *TEdit_lo_freq;
        TListBox *List10MHz;
        TListBox *List1MHz;
        TListBox *List100kHz;
        TListBox *List10kHz;
        TListBox *List1kHz;
        TListBox *List100Hz;
        TListBox *List10Hz;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall TEdit_lo_freqEnter(TObject *Sender);
        void __fastcall List10MHzMouseUp(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall List10MHzMouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
        void __fastcall List10MHzMouseDown(TObject *Sender,

          TMouseButton Button, TShiftState Shift, int X, int Y);
private:        // private user declarations
public:         // public user declarations
	virtual __fastcall TMainForm(TComponent* Owner);
        HINSTANCE h;
        long LOfreq;
        
        typedef  bool __stdcall TOpenHW(void);
        typedef  bool __stdcall TOpenHW(void);
  typedef  bool __stdcall TInitHW(char *name, char *model, int& type);
  typedef  int __stdcall TStartHW(long freq);
  typedef  void __stdcall TStopHW(void);
  typedef  void __stdcall TCloseHW(void);
  typedef int __stdcall TSetHWLO(long LOfreq);
  typedef int __stdcall TTuneChanged(long LOfreq);
  typedef void __stdcall TShowGUI(void);
  typedef void __stdcall THideGUI(void);
  typedef long __stdcall TGetHWLO(void);
  typedef  void __stdcall TSetCallback(void *);
  //void __stdcall extIOCallback(int cnt, int status, float IQoffs, void *IQdata);


};
//---------------------------------------------------------------------------
extern TMainForm *MainForm;
//extern void extIOCallback(int cnt, int status, float IQoffs, void *IQdata);
//---------------------------------------------------------------------------
#endif
